Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Interface AbleTemplate

All Known Implementing Classes:
  AbleRuleSetTemplate, AbleRuleTemplate

public interface AbleTemplate

This interface defines the behavior for all ABLE rule template classes.

Field Summary
`static long` | `serialVersionUID`

Method Summary
`java.lang.String` | `getArlString()` Retrieve the ARL text string (of the underlying ruleset or rule object)
`java.lang.String` | `getComment()` Retrieve the description or comment field of the template (of the underlying ruleset or rule object)
`java.lang.String` | `getName()` Retrieve the name of the template (of the underlying ruleset or rule object)
`java.lang.Object[]` | `getTemplateVars()` Retrieve the template variables for this template object

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Method Detail

### getTemplateVars

    public java.lang.Object[] getTemplateVars()
                                       throws AbleDataException

  Retrieve the template variables for this template object

  Throws:
    `AbleDataException`

### getName

    public java.lang.String getName()
                             throws java.rmi.RemoteException

  Retrieve the name of the template (of the underlying ruleset or rule object)

  Throws:
    `java.rmi.RemoteException`

### getComment

    public java.lang.String getComment()
                                throws java.rmi.RemoteException

  Retrieve the description or comment field of the template (of the underlying ruleset or rule object)

  Throws:
    `java.rmi.RemoteException`

### getArlString

    public java.lang.String getArlString()
                                  throws AbleDataException

  Retrieve the ARL text string (of the underlying ruleset or rule object)

  Throws:
    `AbleDataException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005